For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download image attachment

URL

GET https://api.complycube.com/v1/documents/:id/download/:side

Download an existing image attachment.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Path parameters

Name
Type
Description

id*

string

The ID of the document.

side*

string

The side of the document to download. Valid values include: 1. front 2. back

Example request

curl -X GET https://api.complycube.com/v1/documents/{:documentId}/download/{:side} \
     -H 'Authorization: <YOUR_API_KEY>'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const image = await complycube.document.download("DOCUMENT_ID","DOCUMENT_SIDE");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

img = cc_api.documents.download('DOCUMENT_ID','DOCUMENT_SIDE')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$img = $ccapi->documents()->download('DOCUMENT_ID', 'DOCUMENT_SIDE');
using ComplyCube.Net;
using ComplyCube.Net.Resources.Documents;

var docApi = new DocumentApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var img = await docApi.DownloadImageAsync("DOCUMENT_ID", "DOCUMENT_SIDE");

Example response

{
    "fileName": "front-test.jpg",
    "contentType": "image/jpg",
    "data": "<BASE64_DATA_CONTENT>"
}